# FabPy

 Библиотека на Python для вычисления и оформления погрешностей в LaTeX в физических лабораторных работах.

# Установка 

Вы можете использовать для установки pip:

```pip install fabpy```

# Базовое использование

`fabpy` может использоваться в различных средах программирования, однако рекомендуется использовать Jupiter Notebook или Jupyter Lab.

```python
import fabpy as fb
```

Допустим что у вас некоторые измерения времени `t = [21.5, 22.1, 21.9]` с погрешностью прибора измерения $\Delta t = 0,2 \,с$. Занесем эти данные в объект `Values`:

```python
import fabpy as fb

t = fb.Values(name='t', values=[21.5, 22.1, 21.9], delta=0.2)
```

---
Объект `Values` имеет такие параметры как:

- `name` - имя переменной, которое будет использоваться в формулах LaTeX;
- `values` - значения измерений, может принимать как множество значений (*list, tuple*), так и одно значение (*int, float*);

*Учитывайте*, что при создании объекта с одним значением ($n = 1$), случайная погрешность (`RandomError`) будет равно **0**, т.к. при расчете среднеквадратичного отклонения (`StandardError`), знаменатель равен 0;

$$S_t = \sqrt{\frac{\sum_{i=1}^{n} (\overline{t} - t_i)^2}{n(n-1)}}$$

- `delta` - погрешность измерительного прибора в тех же единицах, что и измерения;
- `roundoff` - количество знаков после запятой для округления;
- `alpha` - доверительный коэффицент для расчета доверительного интервала. По умолчанию 0.95;
- `use_instrumental_error` - использовать ли при расчетах абсолютной погрешности приборную погрешность;
- `use_random_error` - использовать ли при расчетах абсолютной погрешности случайную погрешность;
- `rounded` - использовать при расчетах округленные значения (по `roundoff`) или точные значения;
---

После создания объекта класса, можно и получить необходимые данные.

```python
import fabpy as fb

t = fb.Values(name='t', values=[21.5, 22.1, 21.9], delta=0.2)

# Вывод значения 

```